<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Source\Resolver\Filters;

use ZOOlanders\YOOessentials\Source\Provider\Database\DatabaseSource;

class DatabaseFilters extends Filters
{
    private DatabaseSource $source;

    public function __construct(array $filters, DatabaseSource $source)
    {
        $this->source = $source;

        parent::__construct($filters);
    }

    protected function createFilter(array $filter): DatabaseFilter
    {
        return new DatabaseFilter($filter, $this->source);
    }
}
